package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-06-03T13:14:12.796+03:00
 * Generated source version: 3.4.3
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "ProjectEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ProjectEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIdProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIdProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIdProject/Fault/AbstractException")})
    @RequestWrapper(localName = "startByIdProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIdProject")
    @ResponseWrapper(localName = "startByIdProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIdProjectResponse")
    void startByIdProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIndexProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIndexProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIndexProject/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByIndexProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIndexProject")
    @ResponseWrapper(localName = "finishByIndexProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIndexProjectResponse")
    void finishByIndexProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIdProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIdProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIdProject/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByIdProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIdProject")
    @ResponseWrapper(localName = "updateStatusByIdProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIdProjectResponse")
    void updateStatusByIdProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id,
            @WebParam(name = "status", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findAllProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findAllProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findAllProject/Fault/AbstractException")})
    @RequestWrapper(localName = "findAllProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllProject")
    @ResponseWrapper(localName = "findAllProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindAllProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    java.util.List<com.tsconsulting.dsubbotin.tm.endpoint.Project> findAllProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "sort", targetNamespace = "")
                    java.lang.String sort
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIdProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIdProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByIdProject/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByIdProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIdProject")
    @ResponseWrapper(localName = "finishByIdProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByIdProjectResponse")
    void finishByIdProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByNameProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByNameProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByNameProject/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByNameProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByNameProject")
    @ResponseWrapper(localName = "updateStatusByNameProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByNameProjectResponse")
    void updateStatusByNameProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "status", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByNameProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByNameProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByNameProject/Fault/AbstractException")})
    @RequestWrapper(localName = "findByNameProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByNameProject")
    @ResponseWrapper(localName = "findByNameProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByNameProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    com.tsconsulting.dsubbotin.tm.endpoint.Project findByNameProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIdProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIdProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIdProject/Fault/AbstractException")})
    @RequestWrapper(localName = "updateByIdProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdProject")
    @ResponseWrapper(localName = "updateByIdProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIdProjectResponse")
    void updateByIdProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIdProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIdProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIdProject/Fault/AbstractException")})
    @RequestWrapper(localName = "findByIdProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIdProject")
    @ResponseWrapper(localName = "findByIdProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIdProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    com.tsconsulting.dsubbotin.tm.endpoint.Project findByIdProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "id", targetNamespace = "")
                    java.lang.String id
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/createProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/createProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/createProject/Fault/AbstractException")})
    @RequestWrapper(localName = "createProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CreateProject")
    @ResponseWrapper(localName = "createProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CreateProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    com.tsconsulting.dsubbotin.tm.endpoint.Project createProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIndexProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIndexProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/findByIndexProject/Fault/AbstractException")})
    @RequestWrapper(localName = "findByIndexProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIndexProject")
    @ResponseWrapper(localName = "findByIndexProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FindByIndexProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    com.tsconsulting.dsubbotin.tm.endpoint.Project findByIndexProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByNameProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByNameProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByNameProject/Fault/AbstractException")})
    @RequestWrapper(localName = "startByNameProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByNameProject")
    @ResponseWrapper(localName = "startByNameProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByNameProjectResponse")
    void startByNameProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIndexProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIndexProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateByIndexProject/Fault/AbstractException")})
    @RequestWrapper(localName = "updateByIndexProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIndexProject")
    @ResponseWrapper(localName = "updateByIndexProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateByIndexProjectResponse")
    void updateByIndexProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    int index,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name,
            @WebParam(name = "description", targetNamespace = "")
                    java.lang.String description
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIndexProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIndexProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/startByIndexProject/Fault/AbstractException")})
    @RequestWrapper(localName = "startByIndexProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIndexProject")
    @ResponseWrapper(localName = "startByIndexProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.StartByIndexProjectResponse")
    void startByIndexProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    int index
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByNameProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByNameProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/finishByNameProject/Fault/AbstractException")})
    @RequestWrapper(localName = "finishByNameProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByNameProject")
    @ResponseWrapper(localName = "finishByNameProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.FinishByNameProjectResponse")
    void finishByNameProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "name", targetNamespace = "")
                    java.lang.String name
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIndexProjectRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIndexProjectResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/ProjectEndpoint/updateStatusByIndexProject/Fault/AbstractException")})
    @RequestWrapper(localName = "updateStatusByIndexProject", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIndexProject")
    @ResponseWrapper(localName = "updateStatusByIndexProjectResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.UpdateStatusByIndexProjectResponse")
    void updateStatusByIndexProject(

            @WebParam(name = "session", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Session session,
            @WebParam(name = "index", targetNamespace = "")
                    int index,
            @WebParam(name = "status", targetNamespace = "")
                    com.tsconsulting.dsubbotin.tm.endpoint.Status status
    ) throws AbstractException_Exception;
}
